> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> List all files for a project with optional pagination and filtering.

Args:
    project_id: Project ID that the files belong to
    filter_params: Optional filter parameters (ids, created_at_start, created_at_end)
    pagination_params: Optional pagination parameters (page_size, continuation_token, sort_by, sort_order)



## OpenAPI

````yaml https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}/files
openapi: 3.1.0
info:
  title: Document Understanding API
  description: API for uploading and processing documents
  version: 0.4.5
servers: []
security:
  - ApiKey: []
    AccountId: []
tags:
  - name: Projects
    description: Operations related to project creation and management
  - name: Files
    description: Operations related to file upload and access
  - name: Parse
    description: Operations related to starting parse jobs and accessing their results
  - name: Vector Stores
    description: Operations related to vector store creation and management
  - name: Extract
    description: Operations related to starting extract jobs and accessing their results
  - name: Research
    description: Dex Research agent kickoff and results.
  - name: Jobs
    description: Operations related to monitoring jobs and their status
paths:
  /v1/projects/{project_id}/files:
    get:
      tags:
        - Files
      summary: List Files
      description: |-
        List all files for a project with optional pagination and filtering.

        Args:
            project_id: Project ID that the files belong to
            filter_params: Optional filter parameters (ids, created_at_start, created_at_end)
            pagination_params: Optional pagination parameters (page_size, continuation_token, sort_by, sort_order)
      operationId: list_files_v1_projects__project_id__files_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Filter by file IDs
            title: Ids
          description: Filter by file IDs
        - name: created_at_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by creation time (start)
            title: Created At Start
          description: Filter by creation time (start)
        - name: created_at_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by creation time (end)
            title: Created At End
          description: Filter by creation time (end)
        - name: page_size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 1
              - type: 'null'
            description: Number of items per page
            title: Page Size
          description: Number of items per page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Field to sort by
            title: Sort By
          description: Field to sort by
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            description: Sort order (asc or desc)
            title: Sort Order
          description: Sort order (asc or desc)
        - name: continuation_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Pagination token
            title: Continuation Token
          description: Pagination token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaybePaginatedListResponse_FileEntity_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
      description: >-
        Enum for project sort fields.

        Note that only non-nullable fields can be sorted by (for

        details, see:
        https://github.com/djrobstep/sqlakeyset?tab=readme-ov-file#limitations
        ).
    MaybePaginatedListResponse_FileEntity_:
      anyOf:
        - $ref: '#/components/schemas/PaginatedItems_FileEntity_'
        - items:
            $ref: '#/components/schemas/FileEntity'
          type: array
      title: MaybePaginatedListResponse[FileEntity]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginatedItems_FileEntity_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FileEntity'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        next_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Token
        prev_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Token
      type: object
      required:
        - items
        - total_count
      title: PaginatedItems[FileEntity]
    FileEntity:
      properties:
        id:
          type: string
          title: Id
          description: ID of the entity
        project_id:
          type: string
          title: Project Id
          description: ID of the project
        object:
          anyOf:
            - type: string
              const: file
            - type: 'null'
          title: Object
          default: file
        filename:
          type: string
          title: Filename
        size_bytes:
          type: integer
          title: Size Bytes
        mime_type:
          type: string
          title: Mime Type
        status:
          $ref: '#/components/schemas/FileStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        storage_key:
          type: string
          title: Storage Key
      type: object
      required:
        - id
        - project_id
        - filename
        - size_bytes
        - mime_type
        - status
        - created_at
        - storage_key
      title: FileEntity
      description: >-
        Represents a file in the Document Understanding Core.

        Based on
        https://docs.google.com/document/d/1nB0SqUGTuIBiNMzLVfLW5NWSEZrcgEaXtzRessQgAPo/edit?tab=t.0#bookmark=id.ne9tup4c49z5
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FileStatus:
      type: string
      enum:
        - uploading
        - uploaded
        - failed
        - deleted
      title: FileStatus
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    AccountId:
      type: apiKey
      in: header
      name: x-selected-account-id
      description: Selected Account ID

````